<template>
  <header class="the-header p-2 px-6 xl:px-12 dark:bg-brand-deepblue">
    <div class="flex content-center relative xl:block">
      <a
        href="/quantitativ/aktie/US5949181045/870747/MSFT/Microsoft-Aktie"
        aria-current="page"
        class="
          inline-block
          the-header__logo-link
          nuxt-link-exact-active nuxt-link-active
        "
      >
        <img
          v-if="isDarkMode"
          alt="AlleAktien Quantitativ Logo"
          title="AlleAktien Quantitativ"
          src="~/assets/img/AlleAktien-Quantitativ-Logo-Bright.svg"
          class="h-10"
        >
        <img
          v-else
          alt="AlleAktien Quantitativ Logo"
          title="AlleAktien Quantitativ"
          src="~/assets/img/AlleAktien-Quantitativ-Logo-Dark.svg"
          class="h-10"
        >
      </a>
      <nav class="desktop hidden xl:flex flex-row justify-between items-center">
        <ul class="flex flex-row">
          <li class="text-brand-white inline-block pl-0 px-1">
            <a
              href="/quantitativ/aktie/US5949181045/870747/MSFT/Microsoft-Aktie"
              aria-current="page"
              class="
                the-header__link
                nuxt-link-exact-active
                nuxt-link-active
                nuxt-link-exact-active
                nuxt-link-active
              "
            >
              <span>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke="currentColor"
                  class="w-4 inline mr-1"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M9 19v-6a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2a2 2 0 002-2zm0 0V9a2 2 0 012-2h2a2 2 0 012 2v10m-6 0a2 2 0 002 2h2a2 2 0 002-2m0 0V5a2 2 0 012-2h2a2 2 0 012 2v14a2 2 0 01-2 2h-2a2 2 0 01-2-2z"
                  />
                </svg>
              </span>
              <span>Verlässliche Kennzahlen</span>
            </a>
          </li>
          <li class="text-brand-white inline-block px-1">
            <a
              href="/quantitativ/alleaktien-quantitativ"
              class="the-header__link"
            >
              <span>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke="currentColor"
                  class="w-4 inline mr-1"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M4.318 6.318a4.5 4.5 0 000 6.364L12 20.364l7.682-7.682a4.5 4.5 0 00-6.364-6.364L12 7.636l-1.318-1.318a4.5 4.5 0 00-6.364 0z"
                  />
                </svg>
              </span>
              <span>Mission</span>
            </a>
          </li>
          <li class="text-brand-white inline-block px-1">
            <a
              href="/quantitativ/dividendenaktien-2021"
              class="the-header__link"
            >
              <span>
                <svg
                  fill="none"
                  stroke="currentColor"
                  viewBox="0 0 24 24"
                  xmlns="http://www.w3.org/2000/svg"
                  class="w-4 inline mr-1"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M17 9V7a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2m2 4h10a2 2 0 002-2v-6a2 2 0 00-2-2H9a2 2 0 00-2 2v6a2 2 0 002 2zm7-5a2 2 0 11-4 0 2 2 0 014 0z"
                  />
                </svg>
              </span>
              <span>Dividendenaktien 2021</span>
            </a>
          </li>
          <li class="inline-block px-1 pb-0">
            <a
              href="/quantitativ/kostenlose-aktienanalysen"
              class="
                inline-block
                bg-brand-electricblue
                border
                rounded-xl
                text-black
                dark:text-gray-50 dark:border-brand-deepblue
              "
            >
              <span>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke="currentColor"
                  class="
                    w-4
                    inline
                    mr-1
                    text-white
                    dark:text-gray-50 dark:focus:text-brand-deepblue
                  "
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M7 12l3-3 3 3 4-4M8 21l4-4 4 4M3 4h18M4 4h16v12a1 1 0 01-1 1H5a1 1 0 01-1-1V4z"
                  />
                </svg>
              </span>
              <span
                class="
                  text-white
                  dark:text-gray-50 dark:focus:text-brand-deepblue
                "
              >
                Kostenlose Aktienanalysen
              </span>
            </a>
          </li>
        </ul>
        <ul class="flex flex-row">
          <li class="inline-block px-1 pb-0">
            <button
              aria-label="Dark mode"
              class="
                inline-block
                rounded-xl
                px-4
                py-2
                focus:outline-none focus:ring
                border border-black
                text-blue-700
              "

              :class="[isDarkMode ? 'bg-brand-cyanblue' : 'bg-white']"
              @click="darkModeToggle"
            >
              <svg v-if="isDarkMode" xmlns="http://www.w3.org/2000/svg" fill="none" height="24px" viewBox="0 0 24 24" stroke="#051C2D">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M20.354 15.354A9 9 0 018.646 3.646 9.003 9.003 0 0012 21a9.003 9.003 0 008.354-5.646z" />
              </svg>
              <svg
                v-else
                stroke="#051C2D"
                fill="#051C2D"
                stroke-width="0"
                viewBox="0 0 24 24"
                height="24px"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M6.76 4.84l-1.8-1.79-1.41 1.41 1.79 1.79 1.42-1.41zM4 10.5H1v2h3v-2zm9-9.95h-2V3.5h2V.55zm7.45 3.91l-1.41-1.41-1.79 1.79 1.41 1.41 1.79-1.79zm-3.21 13.7l1.79 1.8 1.41-1.41-1.8-1.79-1.4 1.4zM20 10.5v2h3v-2h-3zm-8-5c-3.31 0-6 2.69-6 6s2.69 6 6 6 6-2.69 6-6-2.69-6-6-6zm-1 16.95h2V19.5h-2v2.95zm-7.45-3.91l1.41 1.41 1.79-1.8-1.41-1.41-1.79 1.8z"
                />
              </svg>
            </button>
          </li>
          <li class="inline-block px-1 pb-0">
            <button
              class="
                registration-button__button
                dark:border-brand-crimson
                border-brand-deepblue
                bg-brand-crimson
                border
                rounded-xl
                text-white
                py-2
                px-4
                cursor-pointer
                hover:bg-brand-crimson hover:underline
                focus:outline-none focus:ring
                dark:bg-brand-crimson dark:text-white
                inline-flex
                flex-row
                items-center
                justify-center
              "
            >
              <svg
                xmlns="http://www.w3.org/2000/svg"
                fill="none"
                viewBox="0 0 24 24"
                stroke="currentColor"
                class="inline w-4 mr-1"
              >
                <path
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  stroke-width="2"
                  d="M5 13l4 4L19 7"
                />
              </svg>
              Registrieren
            </button>
          </li>
          <li class="inline-block px-1 pb-0">
            <div class="login-button">
              <button
                class="
                  login-button__button
                  border-brand-deepblue border
                  rounded-xl
                  text-black
                  px-4
                  py-2
                  cursor-pointer
                  hover:bg-brand-deepblue hover:text-white
                  focus:outline-none focus:ring
                  dark:bg-gray-700 dark:hover:bg-gray-600 dark:text-white
                  inline-flex
                  flex-row
                  items-center
                  justify-center
                "
              >
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke="currentColor"
                  class="inline w-4 mr-1"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M11 16l-4-4m0 0l4-4m-4 4h14m-5 4v1a3 3 0 01-3 3H6a3 3 0 01-3-3V7a3 3 0 013-3h7a3 3 0 013 3v1"
                  />
                </svg>
                Anmelden
              </button>
            </div>
          </li>
        </ul>
      </nav>
      <span
        class="
          pr-6
          -mr-6
          pb-4
          -mb-4
          pt-2
          -mt-2
          pl-16
          cursor-pointer
          absolute
          right-0
          xl:hidden
        "
      >
        <svg
          fill="none"
          stroke="currentColor"
          viewBox="0 0 24 24"
          xmlns="http://www.w3.org/2000/svg"
          class="w-10 h-10 dark:text-white fill-current"
        >
          <path
            stroke-linecap="round"
            stroke-linejoin="round"
            stroke-width="2"
            d="M4 6h16M4 12h16M4 18h16"
          />
        </svg>
      </span>
    </div>
  </header>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  data () {
    return {
      isDarkMode: false
    }
  },

  mounted () {
    if (localStorage.getItem('alk-dark-mode')) {
      document.documentElement.classList.add('dark')
      this.isDarkMode = true;
    }
  },

  methods: {
    darkModeToggle () {
      const root = document.documentElement;
      const isDarkMode = !!localStorage.getItem('alk-dark-mode');

      if (isDarkMode) {
        root.classList.remove('dark');
        localStorage.setItem('alk-dark-mode', '');
        this.isDarkMode = false;
        return;
      }

      root.classList.add('dark');
      localStorage.setItem('alk-dark-mode', 'true');
      this.isDarkMode = true;
    }
  }
})
</script>

<style lang="scss" scoped>
nav li a {
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.the-header {
  background: linear-gradient(#e8e5db, #eeede9);
  border-bottom: 1px solid #11133a;

  &__logo-link {
    padding-left: 0.25rem;
    padding-right: 0.25rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;

    &.nuxt-link-active {
      background: transparent;
    }
  }

  &__link {
    display: flex;
    flex-direction: row;
    justify-content: center;
    border-color: rgba(5, 28, 45, var(--tw-border-opacity));
    border-width: 1px;
    border-radius: 0.75rem;
    color: rgba(0, 0, 0, var(--tw-text-opacity));

    &.nuxt-link-active {
      background-color: rgba(5, 28, 45, var(--tw-bg-opacity));
      color: rgba(255, 255, 255, var(--tw-text-opacity));
    }
  }
}

.dark {
  .the-header {
    background: #051c2d;

    &__logo-link {
      border: none;
    }

    &__link {
      background-color: rgba(74, 85, 104, var(--tw-bg-opacity));
      color: rgba(249, 250, 251, var(--tw-text-opacity));
      display: flex;
      flex-direction: row;
      align-items: center;

      &.nuxt-link-active {
        border: 1px solid hsla(0, 0%, 100%, 0.5333333333333333);
        background-color: rgba(156, 200, 242, var(--tw-bg-opacity));
        color: rgba(5, 28, 45, var(--tw-text-opacity));
      }
    }
  }
}
</style>
